﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using Rpsls.DataLayer;

#nullable disable

namespace Rpsls.DataLayer.Migrations
{
    [DbContext(typeof(RpslsDbContext))]
    [Migration("20220920125311_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.7")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("Rpsls.DataLayer.Entities.Choice", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(12)
                        .HasColumnType("character varying(12)");

                    b.HasKey("Id");

                    b.ToTable("Choices");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "rock"
                        },
                        new
                        {
                            Id = 2,
                            Name = "paper"
                        },
                        new
                        {
                            Id = 3,
                            Name = "scissors"
                        },
                        new
                        {
                            Id = 4,
                            Name = "lizard"
                        },
                        new
                        {
                            Id = 5,
                            Name = "spock"
                        });
                });

            modelBuilder.Entity("Rpsls.DataLayer.Entities.GameRule", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("ChoiceId")
                        .HasColumnType("integer");

                    b.Property<int>("LosesToId")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.ToTable("GameRules");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            ChoiceId = 1,
                            LosesToId = 2
                        },
                        new
                        {
                            Id = 2,
                            ChoiceId = 1,
                            LosesToId = 5
                        },
                        new
                        {
                            Id = 3,
                            ChoiceId = 2,
                            LosesToId = 3
                        },
                        new
                        {
                            Id = 4,
                            ChoiceId = 2,
                            LosesToId = 4
                        },
                        new
                        {
                            Id = 5,
                            ChoiceId = 3,
                            LosesToId = 1
                        },
                        new
                        {
                            Id = 6,
                            ChoiceId = 3,
                            LosesToId = 5
                        },
                        new
                        {
                            Id = 7,
                            ChoiceId = 4,
                            LosesToId = 1
                        },
                        new
                        {
                            Id = 8,
                            ChoiceId = 4,
                            LosesToId = 3
                        },
                        new
                        {
                            Id = 9,
                            ChoiceId = 5,
                            LosesToId = 2
                        },
                        new
                        {
                            Id = 10,
                            ChoiceId = 5,
                            LosesToId = 4
                        });
                });
#pragma warning restore 612, 618
        }
    }
}
